#pragma once

class CMessageBoxDlg : public CDialog
{
public:
//Constructors / Destructors
  CMessageBoxDlg(CWnd* pParent = nullptr);

//Member variables
  enum { IDD = IDD_MESSAGEBOX_DIALOG };
  CString m_sCaption;
  BOOL m_bCheckBox;
  BOOL m_bCheckBoxInitialState;
  CString m_sCheckBoxText;
  BOOL m_bDisable;
  BOOL m_bRightAlign;
  CString m_sText;
  BOOL m_bTimeout;
  BOOL m_bModifyCaptionForDisabled;
  BOOL m_bModifyCaptionForTimer;
  BOOL m_bResetTimerOnUserActivity;
  BOOL m_bSelectableText;
  CString m_sCaption1;
  CString m_sCaption2;
  BOOL m_bAnimatedCaption;
  BOOL m_bAnimatedText;
  BOOL m_bUserIcon;
  BOOL m_bHyperlink;
  CString m_sHyperlinkCaption;
  CString m_sHyperlinkURL;

protected:
//Member variables
  HICON m_hIcon;

//Methods
  void DoDataExchange(CDataExchange* pDX) override;
  BOOL OnInitDialog() override;

//Message handlers
  afx_msg void OnPaint();
  afx_msg HCURSOR OnQueryDragIcon();
  afx_msg void OnButton1();

  DECLARE_MESSAGE_MAP()
};
